Error 404 Error 404 - 9 months ago 45
Python Question

Can't use python 3.6


I'm trying to work with python 3 and not python 2, I tried:


enter image description here

I clicked "Apply"

enter image description here

Here also, I clicked apply.




But when I check my version, it still in 2.7:

enter image description here

What should I do?

I'm using Mac OS X 10.11.1

Answer Source

You’re using the terminal’s python rather than PyCharm’s. If you want to change your default Python you’ll need to update your $PATH variable. See this for more: how to change default python version?

If you just want to use PyCharm though, just right click on the file and click run.